<!--
 * Copyright (c) 2020, WSO2 Inc. (http://www.wso2.com). All Rights Reserved.
 * 
 * This software is the property of WSO2 Inc. and its suppliers, if any.
 * Dissemination of any information or reproduction of any material contained
 * herein in any form is strictly forbidden, unless permitted by WSO2 expressly.
 * You may not alter or remove any copyright or other notice from copies of this content."
-->

<project name="identity-apps" basedir=".">

    <target name="copy-auth-portal-artefact">
        <echo message="--- Copying Authentication Portal Artefact ---"/>
        <copy file="target/identity-apps/apps/authentication-portal/target/authenticationendpoint.war" 
            todir="./distributions/authentication-portal" overwrite="true">
        </copy>
    </target>

    <target name="copy-email-otp-portal-artefact">
        <echo message="--- Copying Email OTP Authentication Portal Artefact ---"/>
        <copy file="target/identity-apps/apps/email-otp-authentication-portal/target/emailotpauthenticationendpoint.war" 
            todir="./distributions/email-otp-authentication-portal" overwrite="true">
        </copy>
    </target>

    <target name="copy-recovery-portal-artefact">
        <echo message="--- Copying Recovery Portal Artefact ---"/>
        <copy file="target/identity-apps/apps/recovery-portal/target/accountrecoveryendpoint.war" 
            todir="./distributions/recovery-portal" overwrite="true">
        </copy>
    </target>

    <target name="copy-sms-otp-auth-portal-artefact">
        <echo message="--- Copying SMS OTP Authentication Portal Artefact ---"/>
        <copy file="target/identity-apps/apps/sms-otp-authentication-portal/target/smsotpauthenticationendpoint.war" 
            todir="./distributions/sms-otp-authentication-portal" overwrite="true">
        </copy>
    </target>

    <target name="copy-x509-cert-portal-artefact">
        <echo message="--- Copying x509 certificate Authentication Portal Artefact ---"/>
        <copy file="target/identity-apps/apps/x509-certificate-authentication-portal/target/x509certificateauthenticationendpoint.war" 
            todir="./distributions/x509-certificate-authentication-portal" overwrite="true">
        </copy>
    </target>

    <target name="init-artefacts" 
        depends="copy-auth-portal-artefact, copy-email-otp-portal-artefact, copy-recovery-portal-artefact, 
        copy-sms-otp-auth-portal-artefact, copy-x509-cert-portal-artefact" />

</project>
